%define major 1
%define libname %mklibname icns %major
%define libname_devel %mklibname -d icns

Name:          libicns
Version:       0.7.1
Release:       %mkrel 2
Summary:       Library for manipulating MacOS X icns files
Group:         System/Libraries
License:       GPL, LGPL
URL:           http://icns.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/icns/icns/libicns-%{version}/libicns-%{version}.tar.gz
Patch0:        libicns-0.7.1-png2icns.patch

BuildRequires: jasper-devel
BuildRequires: libpng-devel

%description
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

%package -n %libname
Summary:          Library files for %{name}
Group:            System/Libraries
Provides:         %{name} = %{version}-%{release}

%description -n %libname
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

%package -n %libname_devel
Group:         Development/C
Summary:       Devel package for %{name}
Requires:      %libname = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %libname_devel
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

This package contains libraries and header files need for development.

%package -n libicns-utils
Group:         Graphics/Utilities
Summary:       Utilities for %{name}
Requires:      %libname = %{version}-%{release}

%description -n libicns-utils
Software for library for manipulating MacOS X .icns icon format.
Currently provides support for reading and writing icns files
in most sizes.

Also provides utilities for manipulating files in the .icns format:
* icns2png - convert Mac OS icns files to png images
* png2icns - convert png images to Mac OS icns files
* icontainer2icns - extract icns files from icontainers

%prep

%setup -q
%patch0 -p0

%build
%configure2_5x --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make

%install
%makeinstall_std
rm -rf $(find %{buildroot} -name "*.la")

%files -n %libname
%{_libdir}/libicns.so.%{major}*

%files -n %libname_devel
%{_includedir}/icns.h
%{_libdir}/libicns.so
%{_libdir}/pkgconfig/libicns.pc
%doc src/apidocs.*

%files -n libicns-utils
%{_bindir}/icns2png
%{_bindir}/icontainer2icns
%{_bindir}/png2icns
%{_mandir}/man1/icns2png.1*
%{_mandir}/man1/icontainer2icns.1*
%{_mandir}/man1/png2icns.1*
%doc README


%changelog

* Sat Jan 12 2013 fwang <fwang> 0.7.1-2.mga3
+ Revision: 357813
- update file list
- cleanup spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 27 2011 dmorgan <dmorgan> 0.7.1-1.mga2
+ Revision: 173071
- Clean buildrequires
  Clean spec file
  Use major in file list

  + gil <gil>
    - fix BR
    - changed libutils-devel in libicns-utils
    - imported package libicns

